#ifndef _GLOBAL_H_
#define _GLOBAL_H_
//LUDO:
# define MSX_RENDER_NORMAL     0
# define MSX_RENDER_FIT_WIDTH  1
# define MSX_RENDER_FIT        2
# define MSX_LAST_RENDER       2

# define MAX_PATH   256
# define MSX_MAX_SAVE_STATE 5

  typedef struct MSX_t {
 
    char msx_save_used[MSX_MAX_SAVE_STATE];
    char msx_save_name[MAX_PATH];
    char msx_home_dir[MAX_PATH];
    int  msx_cpu_speed;
    int  psp_screenshot_id;
    int  psp_cpu_clock;
    int  psp_reverse_analog;
    int  msx_snd_enable;
    int  msx_render_mode;
    int  psp_skip_max_frame;
    int  psp_skip_cur_frame;
    unsigned long msx_prev_ticks;

  } MSX_t;

  extern MSX_t MSX;


//END_LUDO:

# endif
